#pragma once

typedef struct _KERNEL_MATH_REQUEST
{
    ULONG   x;
    ULONG   y;

} KERNEL_MATH_REQUEST, *PKERNEL_MATH_REQUEST;


typedef struct _KERNEL_MATH_RESPONSE
{
    ULONG   r;

} KERNEL_MATH_RESPONSE, *PKERNEL_MATH_RESPONSE;

typedef struct _KERNEL_SYMBOLIC_REQUEST{
	CHAR*		SymbolicName;
	ULONG		Size;
	VOID*		TargetAddress;
	VOID*		Source;

} KERNEL_SYMBOLIC_REQUEST, *PKERNEL_SYMBOLIC_REQUEST;

typedef struct _KERNEL_SYMBOLIC_RESPONSE
{
    ULONG   Status;

} KERNEL_SYMBOLIC_RESPONSE, *PKERNEL_SYMBOLIC_RESPONSE;


#define IOCTL_ADD_THESE_TWO_NUMBERS \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x800, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define IOCTL_SUBTRACT_THESE_TWO_NUMBERS \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x801, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define IOCTL_INSERT_SYMBOLIC_DATA \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x802, METHOD_BUFFERED, FILE_ANY_ACCESS)

